    # File lib/merb-core/dispatch/router/behavior.rb, line 317
          def to(params = {}, &block)
            raise Error, "The route has already been committed. Further params cannot be specified" if @route

            behavior = Behavior.new(@proxy, @conditions, @params.merge(params), @defaults, @identifiers, @options, @blocks)

            if block_given?
              with_behavior_context(behavior, &block)
            else
              behavior.to_route
            end
          end